[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Headsup: new API and ABI changing goffice update headed towards rawhide



On Jan 25, 2008 6:17 PM, Hans de Goede <j w r degoede hhs nl> wrote:
> Hi All,
>
> I've been working on updating gnumeric to the 1.8.x tree, this needs the latest
> stable 0.6 series of goffice, therefor I'm also updating goffice from 0.2 to
> 0.6, which means a change in soname, and in API.
>
> The only other user is abiword, a patch for abiword for the 0.5 devel series of
> goffice, which lead to the 0.6 release is available here:
> http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/abiword-goffice05.patch?rev=1.1
>
That patch does not really work. Priting support is missing (can be
commented out, but with loss of functionality) and there is a weird
bug:

AbiGOChart.cpp: In member function 'void GOChartView::modify()':
AbiGOChart.cpp:833: error: cannot convert 'GtkWindow*' to 'GClosure*'
for argument '4' to 'GtkWidget* gog_guru(GogGraph*, GogDataAllocator*,
GOCmdContext*, GClosure*)'

(this is from the 2.6 branch, but the stable branch has an
almost-identical error)

Even Abiword trunk is still using goffice 0.4 . Per this debian-bugs post:
http://www.mail-archive.com/debian-bugs-dist lists debian org/msg427582.html

The lack of printing support discussed seems to suggest updating
Abiword to use 0.4 instead. I can just drop in the plugin from trunk
in that case.

-- 
Michel Salim
http://hircus.jaiku.com/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]